E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GNet::TaskImp Class Reference

A private implementation class used by GNet::Task. More...

Inheritance diagram for GNet::TaskImp:

## Public Member Functions
| TaskImp (Task &, ExceptionHandler &eh, const G::ExecutableCommand &, const std::string &exec_error_format, const G::Identity &id)
void | kill ()

## Static Public Member Functions
static std::pair< int, std::string > | run (const G::ExecutableCommand &, const std::string &exec_error_format, const G::Identity &id)

## Detailed Description

A private implementation class used by GNet::Task.

Definition at line 31 of file gtask.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gtask.cpp